DisassociateService
Deletes a specific service association from an AgentSpace. This operation is idempotent and returns a 204 No Content response on success.
Request Syntax
DELETE /v1/agentspaces/agentSpaceId/associations/associationId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- agentSpaceId
-
Unique identifier for an agent space (allows alphanumeric characters and hyphens; 1-64 characters)
Pattern:
[a-zA-Z0-9-]{1,64}Required: Yes
- associationId
-
The unique identifier of the given association.
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9-]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 204
Response Elements
If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access to the requested resource is denied due to insufficient permissions.
- message
-
Detailed error message describing why access was denied.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource.
- message
-
Detailed error message describing the conflict.
HTTP Status Code: 409
- ContentSizeExceededException
-
This exception is thrown when the content size exceeds the allowed limit.
HTTP Status Code: 413
- InternalServerException
-
This exception is thrown when an unexpected error occurs in the processing of a request.
HTTP Status Code: 500
- InvalidParameterException
-
One or more parameters provided in the request are invalid.
- message
-
Detailed error message describing which parameter is invalid and why.
HTTP Status Code: 400
- ResourceNotFoundException
-
The requested resource could not be found.
- message
-
Detailed error message describing which resource was not found.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request would exceed the service quota limit.
- message
-
Detailed error message describing which quota was exceeded.
HTTP Status Code: 402
- ThrottlingException
-
The request was throttled due to too many requests. Please slow down and try again.
- message
-
Detailed error message describing the throttling condition.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
- fieldList
-
A list of specific failures encountered while validating the input. A member can appear in this list more than once if it failed to satisfy multiple constraints.
- message
-
A summary of the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: